PUT
/
institutions
/
users
/
{institutionUserId}
/
update
Update Institution User
curl --request PUT \
  --url https://sandbox-api.cardcore.cloud/institutions/users/{institutionUserId}/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "John",
  "lastName": "Doe",
  "emailAddress": "[email protected]",
  "phoneNumber": "+1234567890",
  "status": "active",
  "isBlocked": false,
  "roles": [
    {
      "role": "INSTITUTION_USER",
      "permissions": [
        "read:user",
        "update:user"
      ]
    }
  ]
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

institutionUserId
string
required

Path parameter: institutionUserId.

Body

application/json
firstName
string
required
lastName
string
required
emailAddress
string
required
phoneNumber
string
required
status
string
required
isBlocked
boolean
required
roles
object[]
required

Response

200 - application/json

Update Institution User completed successfully.

The response is of type object.